Get requests by employee

This endpoint allows to query an employee’s requests within a specified time period not exceeding 31 days.

GET /api/v1/businesses/{businessId}/employees/{employeeId}/requests?from={yyyy-MM-dd}&to={yyyy-MM-dd}

If the data included in the request is correct —both the businessId and the employeeId— the response will contain the list of the employee’s requests within the defined time interval.

Response example

[
    {
        "employeeId": "1006350",
        "status": "REQUESTED",
        "type": "MANDATORY",
        "from": "2026-08-27",
        "to": "2026-08-27",
        "fromHour": "20:00",
        "toHour": "22:00"
    },
    {
        "employeeId": "1006350",
        "status": "GRANTED",
        "type": "MAYBE",
        "from": "2026-08-29",
        "to": "2026-08-29",
        "fromHour": "20:00",
        "toHour": "22:00"
    }
]
Details
  • employeeId: external identifier of the employee.

  • status: status of the request. The possible values are REQUESTED, GRANTED and DENIED.

  • type: type of availability that applies to the request. The possible values are MANDATORY (work availability), MAYBE (availability), NON_WORKED (free day) and SHIFT (requested shift).

  • from: start date of the request in yyyy-MM-dd format.

  • to: end date of the request in yyyy-MM-dd format.

  • fromHour: start time of the request in HH:mm format. Refers to local time, that is, the time zone of the service.

  • toHour: end time of the request in HH:mm format. Refers to local time, that is, the time zone of the service.

  • comments: free text that can accompany the request.

  • recover: type of recovery indicating how the employee’s request could be compensated. The options are FREE (free day) or NONE (no compensation is offered for the request).

As can be seen in the example, the response information will depend on the data defined for each request and its status in the system.

Considerations

The fromHour and toHour fields return values in local time, determined by the time zone configured for the service.

If there are no requests for the employee in the query interval, the request will return an empty array [].

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

406 Not Acceptable

-

The range between from and to exceeds the 31 days allowed. It is recommended to narrow the queried interval.

What is a request?